# OpalInternalIPTransport Class Reference

`#include <transports.h>`

Inheritance diagram for OpalInternalIPTransport:

[legend]
Collaboration diagram for OpalInternalIPTransport:
[legend]

## Public Member Functions

virtual bool | Parse (OpalTransportAddress &address, WORD port) const
virtual PString | GetHostName (const OpalTransportAddress &address, bool includeService) const
virtual PBoolean | GetIpAndPort (const OpalTransportAddress &address, PIPSocket::Address &ip, WORD &port) const

## Static Public Member Functions

static PBoolean | GetAdjustedIpAndPort (const OpalTransportAddress &address, OpalEndPoint &endpoint, OpalTransportAddress::BindOptions option, PIPSocket::Address &ip, WORD &port, PBoolean &reuseAddr)

## Member Function Documentation

static PBoolean OpalInternalIPTransport::GetAdjustedIpAndPort | ( | const OpalTransportAddress & | address,
|  | OpalEndPoint & | endpoint,
|  | OpalTransportAddress::BindOptions | option,
|  | PIPSocket::Address & | ip,
|  | WORD & | port,
|  | PBoolean & | reuseAddr |
| ) |  |  | `[static]`

virtual PString OpalInternalIPTransport::GetHostName | ( | const OpalTransportAddress & | address,
|  | bool | includeService |
| ) |  |  | const`[virtual]`

Reimplemented from OpalInternalTransport.

virtual PBoolean OpalInternalIPTransport::GetIpAndPort | ( | const OpalTransportAddress & | address,
|  | PIPSocket::Address & | ip,
|  | WORD & | port |
| ) |  |  | const`[virtual]`

Reimplemented from OpalInternalTransport.

virtual bool OpalInternalIPTransport::Parse | ( | OpalTransportAddress & | address,
|  | WORD | port |
| ) |  |  | const`[virtual]`

Implements OpalInternalTransport.

The documentation for this class was generated from the following file:

- transports.h